{% extends 'home/layout.html' %}

{% block title %}PROGRESS BAR REFRESH{% endblock %}

{% block body %}
<h1 class="text-center">MY APP</h1>
<section class="h-100">
    <div class="container py-3 w-50">
        <div class="text-center" id="content"></div>
    </div>
</section>

<script>
    // Показати наданий розділ
    function showSection() {

        // Знайти текст розділу з сервера
        fetch(`/my-app/progress`)
        .then(response => response.text())
        .then(text => {
            // Записати текст та вивести на сторінці
            console.log(text);
            document.querySelector('#content').innerHTML = text;
        });
    }

    setInterval(() => {
    showSection();
    }, 2000);

</script>
{% endblock %}